classification
Title: os.getresgid() documentation mentions "user ids", not "group ids"
Type: Stage:
Components: Documentation Versions: Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Red HamsterX, bbrazil, docs@python, georg.brandl
Priority: normal Keywords: patch

Created on 2010-09-03 02:06 by Red HamsterX, last changed 2010-09-05 17:07 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
getresgid_group_not_user.patch bbrazil, 2010-09-04 15:49
Messages (3)
msg115411 - (view) Author: Neil Tallim (Red HamsterX) Date: 2010-09-03 02:06
Super-low-priority (it's obvious from context and unlike to confuse anyone who knows what they're looking at), but the os module's description for getresgid() is "Return a tuple (rgid, egid, sgid) denoting the current process’s real, effective, and saved user ids."

It should be "Return a tuple (rgid, egid, sgid) denoting the current process’s real, effective, and saved group ids."
msg115581 - (view) Author: Brian Brazil (bbrazil) * Date: 2010-09-04 15:49
This mistake is also in the docstring, I've attached a path to fix both.
msg115658 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-09-05 17:07
Thanks, fixed in r84530.
History
Date User Action Args
2010-09-05 17:07:35georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg115658

resolution: fixed
2010-09-04 15:49:33bbrazilsetfiles: + getresgid_group_not_user.patch

nosy: + bbrazil
messages: + msg115581

keywords: + patch
2010-09-03 02:06:06Red HamsterXcreate